# invoices

### Arguments

| Argument                                                                                      | Description                                                                           |
| --------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------- |
| invoicedSince ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))   | Filter invoices to those that where invoiced since the given datetime.                |
| invoicedUntil ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))   | Filter invoices to those that where invoiced until the given datetime.                |
| updatedSince ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))    | Filter invoices to those that where updated since the given datetime.                 |
| updatedUntil ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))    | Filter invoices to those that where updated until the given datetime.                 |
| subscriptionId ([ID](/graphql-api/api-reference/objects/id.md))                               | Only list invoices that match the passed in subscription ID.                          |
| paymentTypes (\[[PaymentTypeEnum](/graphql-api/api-reference/objects/payment-type-enum.md)!]) | Only list invoices with selected payment type. Lists all payment types if none given. |
| statuses (\[[InvoiceStatusEnum](/graphql-api/api-reference/objects/invoice-status-enum.md)!]) | Filter invoices on given status. Lists all invoices if none given.                    |
| after ([String](/graphql-api/api-reference/objects/string.md))                                | Returns the elements in the list that come after the specified cursor.                |
| before ([String](/graphql-api/api-reference/objects/string.md))                               | Returns the elements in the list that come before the specified cursor.               |
| first ([Int](/graphql-api/api-reference/objects/int.md))                                      | Returns the first *n* elements from the list.                                         |
| last ([Int](/graphql-api/api-reference/objects/int.md))                                       | Returns the last *n* elements from the list.                                          |

### Return fields

#### edges (\[[InvoiceEdge](/graphql-api/api-reference/objects/invoice-edge.md)])

A list of edges.

#### nodes (\[[Invoice](/graphql-api/api-reference/objects/invoice.md)])

A list of nodes.

#### pageInfo ([PageInfo](/graphql-api/api-reference/objects/page-info.md)!)

Information to aid in pagination.

#### totalCount ([Int](/graphql-api/api-reference/objects/int.md))

The total number of items available.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/queries/invoices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
